[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TFindDialog.Destroy

Destructor for the class instance.

## Declaration

Source position: dialogs.pp line 514

`public destructor TFindDialog.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. It ensures that the internal TForm instance for the dialog form is freed (when assigned). Destroy calls the inherited destructor to perform and remove free notifications for the referenced counted component.